Exchange Rate Query API

Exchange Rate Query API

API Information

ItemDescription
MethodPOST
Path/apis/v1/exchange-rate/query
Content-Typeapplication/json
AuthenticationRequired. Refer to 'Authorization Introduction'

Description

This API is used to query exchange rates for the specified target currencies.

Request Parameters

Request body parameters:

ParameterRequiredTypeDescription
sourceCurrencyNoStringDefault: USD
targetCurrencysYesarray<string>List of target currencies
transactionTypeNoStringenumeration:C2C C2B B2C B2B
Default: C2C
sceneNoStringenumeration:OFFRAMP EXCHANGE
Default: OFFRAMP
nreFlagNoBoolean
Identify whether to query Nre account transaction exchange rates, only effective for INR currency

Only OFFRAMP scene supported

Response

The standard response structure is R<object>.

data.exchangeRates list fields:

FieldTypeDescription
idstringExchange rate ID
rateTimestringExchange rate time
sourceCurrencystringSource currency
targetCurrencystringTarget currency
ratenumberExchange rate value